#!/bin/bash
#
# Linux Compatablity Tool Endian errors in calls checker
#

if [[ -z $DB ]]
then
    echo "Missing assignment"
    echo "    DB environment variable not set"
    exit 1
fi

# First, we need to fix up the refparm table ...
rm -f ${DB}/tFunctionRefParms.tbl.withNULL
rm -f ${DB}/tFunctionRefParms.tbl.noNULL
if [ -f ${DB}/tFunctionRefParms.tbl ]
then
	cp ${DB}/tFunctionRefParms.tbl ${DB}/tFunctionRefParms.tbl.noNULL
	cat ${DB}/tFunctionRefParms.tbl | sed 's/		/	<NULL>	/g' >> ${DB}/tFunctionRefParms.tbl.withNULL
	mv ${DB}/tFunctionRefParms.tbl.withNULL ${DB}/tFunctionRefParms.tbl
else
	echo "ERROR: not enough source information to build tFunctionRefParms.tbl"
	touch ${DB}/tFunctionRefParms.tbl ${DB}/tFunctionRefParms.tbl.noNULL
fi

# Now go look for endian errors
${LCTBIN}/chkendian_calls.exe ${DB}/

