#!/bin/bash 
#
# Linux Compatablity Tool Offensive API Checker
#

if [[ -z $DB ]]
then
    echo "Missing assignment"
    echo "    DB environment variable not set"
    exit 1
fi

cat ${LCTBIN}/apichecklist.txt  | while read CALL
do
   grep "${CALL}" ${DB}/tFunctionRef.tbl | \
                awk '{print $3 "\t" $4 "\tW20001\tPotentially Offensive API Call: " $7}' >> ${DB}/tSourceMsgs.tbl
done
exit 0
